security/asignify - The NetBSD Packages Collection

Yet another signify tool

signify tool is heavily inspired by signify used in OpenBSD. However, the main
goal of this project is to define high level API for signing files, validating
signatures and encrypting using public keys cryptography. Asignify is
designed to be portable and self-contained with zero external dependencies.
It uses blake2b as the hash function and ed25519 implementation from tweetnacl.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/automake devel/autoconf

Runtime dependencies

(none)

Available binary packages

aarch64:asignify-20150220.tgz(NetBSD 9.0)
aarch64:asignify-20150220.tgz(NetBSD 9.0)
aarch64:asignify-20150220.tgz(NetBSD 9.0)
alpha:asignify-20150220.tgz(NetBSD 9.0)
alpha:asignify-20150220.tgz(NetBSD 9.0)
earmv6hf:asignify-20150220.tgz(NetBSD 9.0)
earmv6hf:asignify-20150220.tgz(NetBSD 9.0)
earmv6hf:asignify-20150220.tgz(NetBSD 9.0)
earmv6hf:asignify-20150220.tgz(NetBSD 9.0)
earmv7hf:asignify-20150220.tgz(NetBSD 8.0)
earmv7hf:asignify-20150220.tgz(NetBSD 8.0)
earmv7hf:asignify-20150220.tgz(NetBSD 8.0)
earmv7hf:asignify-20150220.tgz(NetBSD 8.0)
earmv7hf:asignify-20150220.tgz(NetBSD 9.0)
earmv7hf:asignify-20150220.tgz(NetBSD 9.0)
earmv7hf:asignify-20150220.tgz(NetBSD 9.0)
earmv7hf:asignify-20150220.tgz(NetBSD 9.0)
earmv7hf:asignify-20150220.tgz(NetBSD 9.0)
i386:asignify-20150220.tgz(NetBSD 8.0)
i386:asignify-20150220.tgz(NetBSD 8.0)
i386:asignify-20150220.tgz(NetBSD 8.0)
i386:asignify-20150220.tgz(NetBSD 9.0)
i386:asignify-20150220.tgz(NetBSD 9.0)
i386:asignify-20150220.tgz(NetBSD 9.0)
mips64eb:asignify-20150220.tgz(NetBSD 9.0)
powerpc:asignify-20150220.tgz(NetBSD 8.0)
powerpc:asignify-20150220.tgz(NetBSD 8.0)
powerpc:asignify-20150220.tgz(NetBSD 8.0)
powerpc:asignify-20150220.tgz(NetBSD 9.0)
powerpc:asignify-20150220.tgz(NetBSD 9.0)
sparc64:asignify-20150220.tgz(NetBSD 9.0)
sparc64:asignify-20150220.tgz(NetBSD 9.0)
sparc64:asignify-20150220.tgz(NetBSD 9.0)
sparc:asignify-20150220.tgz(NetBSD 9.0)
x86_64:asignify-20150220.tgz(NetBSD 9.0)
x86_64:asignify-20150220.tgz(NetBSD 9.0)
x86_64:asignify-20150220.tgz(NetBSD 9.0)
x86_64:asignify-20150220.tgz(NetBSD 9.0)
x86_64:asignify-20150220.tgz(NetBSD 8.0)
x86_64:asignify-20150220.tgz(NetBSD 8.0)
x86_64:asignify-20150220.tgz(NetBSD 8.0)
x86_64:asignify-20150220.tgz(NetBSD 9.0)
x86_64:asignify-20150220.tgz(NetBSD 9.0)
x86_64:asignify-20150220.tgz(NetBSD 9.0)
x86_64:asignify-20150220.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]